package com.seitenbau.junit.model;

import java.util.List;

/**
 * Represents one Data Driven Test.
 *
 * A Test contains beside name and an id, a Parameter list and some
 * expected Result.
 */
public class DDTModelTest
{
  private String name;

  private Integer id;

  private List<Object> parameters;

  private DDTModelTestExpectedResult expected;

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public DDTModelTestExpectedResult getExpected()
  {
    return expected;
  }

  public void setExpected(DDTModelTestExpectedResult expected)
  {
    this.expected = expected;
  }

  public Integer getId()
  {
    return id;
  }

  public void setId(Integer id)
  {
    this.id = id;
  }

  public List<Object> getParameters()
  {
    return parameters;
  }

  public void setParameters(List<Object> parameters)
  {
    this.parameters = parameters;
  }

}
